Package control

## Class TabMitController

- java.lang.Object
- - javafx.scene.control.Tab
  - - control.TabMitController

- All Implemented Interfaces:
    `javafx.css.Styleable`, `javafx.event.EventTarget`
  Direct Known Subclasses:
    `EditTabMitController`, `HauptTabMitController`, `SimulationTabMitController`, `UnterTabMitController`

      public class TabMitController
      extends javafx.scene.control.Tab

  Die Klasse TabMitController stellt die Oberklasse für alle Tabs des Graphentesters dar.
  Version:
    v6.7 (9.12.2020)
  Author:
    Thomas Schaller

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Graph` | `graph` |
    `protected GraphOptions` | `options` |
    `protected GraphPlotter` | `viewer` |

    - ### Fields inherited from class javafx.scene.control.Tab

      `CLOSED_EVENT, SELECTION_CHANGED_EVENT, TAB_CLOSE_REQUEST_EVENT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TabMitController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `GraphOptions` | `getGraphOptions()` |
    `GraphPlotter` | `getViewer()` |
    `void` | `initialize()` |
    `void` | `setGraph​(Graph graph, GraphOptions options)` |
    `protected void` | `tabOeffnen​(GraphOptions taboptions)` |
    `void` | `update()` |

    - ### Methods inherited from class javafx.scene.control.Tab

      `buildEventDispatchChain, closableProperty, contentProperty, contextMenuProperty, disabledProperty, disableProperty, getClassCssMetaData, getContent, getContextMenu, getCssMetaData, getGraphic, getId, getOnClosed, getOnCloseRequest, getOnSelectionChanged, getProperties, getPseudoClassStates, getStyle, getStyleableParent, getStyleClass, getTabPane, getText, getTooltip, getTypeSelector, getUserData, graphicProperty, hasProperties, idProperty, isClosable, isDisable, isDisabled, isSelected, onClosedProperty, onCloseRequestProperty, onSelectionChangedProperty, selectedProperty, setClosable, setContent, setContextMenu, setDisable, setGraphic, setId, setOnClosed, setOnCloseRequest, setOnSelectionChanged, setStyle, setText, setTooltip, setUserData, styleProperty, tabPaneProperty, textProperty, tooltipProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javafx.css.Styleable

      `getStyleableNode`

- - ### Field Detail

    - #### graph

          protected Graph graph

    - #### options

          protected GraphOptions options

    - #### viewer

          protected GraphPlotter viewer

  - ### Constructor Detail

    - #### TabMitController

          public TabMitController()

  - ### Method Detail

    - #### initialize

          public void initialize()

    - #### tabOeffnen

          protected void tabOeffnen​(GraphOptions taboptions)

    - #### getGraphOptions

          public GraphOptions getGraphOptions()

    - #### update

          public void update()

    - #### setGraph

          public void setGraph​(Graph graph,
                               GraphOptions options)

    - #### getViewer

          public GraphPlotter getViewer()